# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

add_subdirectory( sprites )
add_subdirectory( pics )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdegames
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kspaceduel (executable) ###################

tde_add_executable( kspaceduel AUTOMOC
  SOURCES general.ui mathroutines.cpp topwidget.cpp playerinfo.cpp sprites.cpp
    mainview.cpp dialogs.cpp ai.cpp main.cpp options.kcfgc
  LINK tdecore-shared tdeui-shared tdeio-shared tdegames-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( kspaceduel )


##### other data ################################

tde_create_translated_desktop( kspaceduel.desktop )

install( FILES kspaceduelui.rc
  DESTINATION ${DATA_INSTALL_DIR}/kspaceduel
)

install( FILES kspaceduel.kcfg
  DESTINATION ${KCFG_INSTALL_DIR}
)
